interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/r/Python/comments/2xmo63.json
  response:
    body:
      string: !!binary |
[encoded data, 12240 characters]
        /wAA
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['8211']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:43 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjf841.2.1505364043048.Z0FBQUFBQlp1Z2hMU3RBX1EwR1hYeU15eHVfNzdRZ0w4Wk5KYWJlODN6NHlUcG9rYW50VXJQRWprYW45QmJ6c2ZzcmF6dVI0VVpUbXdXYWVDZ081dlBNd3dpX3VWbzhRemtxbzlSY2dLLTJ4UGFNcXBjNHpDX3d0MklzZlEzUkFzd1E1R2dFNjJUR00;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:43
          GMT; secure', 'session_tracker=OgCr5NXmDfYf8Zy3Kc.0.1505364043042.Z0FBQUFBQlp1Z2hMbkI5Smw2TDR6OTAwMS1wTDdPVFZhLWZVbjZzQkVBOHZ4RnBGRkpVbkY5YkVRNmlQaWJsSmg1YmhKOWpVTkROQXhwZkFXN0R1aUUzN0F0M21FR1hVR2FBMzVFdnBTZVNibXBDTU9odGN5V1dYVGpfVkFUZWVYLUhzdWVIN2RxRXI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:43
          GMT; secure', edgebucket=ZRweBmSChIRaJhiuv9; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1737-ORD]
      X-Timer: ['S1505364043.020373,VS0,VE240']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjf841.2.1505364043048.Z0FBQUFBQlp1Z2hMU3RBX1EwR1hYeU15eHVfNzdRZ0w4Wk5KYWJlODN6NHlUcG9rYW50VXJQRWprYW45QmJ6c2ZzcmF6dVI0VVpUbXdXYWVDZ081dlBNd3dpX3VWbzhRemtxbzlSY2dLLTJ4UGFNcXBjNHpDX3d0MklzZlEzUkFzd1E1R2dFNjJUR00;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:40:43
          GMT; secure', 'session_tracker=OgCr5NXmDfYf8Zy3Kc.0.1505364043042.Z0FBQUFBQlp1Z2hMbkI5Smw2TDR6OTAwMS1wTDdPVFZhLWZVbjZzQkVBOHZ4RnBGRkpVbkY5YkVRNmlQaWJsSmg1YmhKOWpVTkROQXhwZkFXN0R1aUUzN0F0M21FR1hVR2FBMzVFdnBTZVNibXBDTU9odGN5V1dYVGpfVkFUZWVYLUhzdWVIN2RxRXI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:43
          GMT; secure', edgebucket=ZRweBmSChIRaJhiuv9; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=qqLhauJIfmX9xA9xMkwUX4S9ZDG35sTwXNsrl6P0sSbMYwYhY%2FTBdoHOHvZqxkxSgFzu7xI50L4%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Cookie: [edgebucket=ZRweBmSChIRaJhiuv9; loid=00000000000drjf841.2.1505364043048.Z0FBQUFBQlp1Z2hMU3RBX1EwR1hYeU15eHVfNzdRZ0w4Wk5KYWJlODN6NHlUcG9rYW50VXJQRWprYW45QmJ6c2ZzcmF6dVI0VVpUbXdXYWVDZ081dlBNd3dpX3VWbzhRemtxbzlSY2dLLTJ4UGFNcXBjNHpDX3d0MklzZlEzUkFzd1E1R2dFNjJUR00;
          session_tracker=OgCr5NXmDfYf8Zy3Kc.0.1505364043042.Z0FBQUFBQlp1Z2hMbkI5Smw2TDR6OTAwMS1wTDdPVFZhLWZVbjZzQkVBOHZ4RnBGRkpVbkY5YkVRNmlQaWJsSmg1YmhKOWpVTkROQXhwZkFXN0R1aUUzN0F0M21FR1hVR2FBMzVFdnBTZVNibXBDTU9odGN5V1dYVGpfVkFUZWVYLUhzdWVIN2RxRXI]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://www.reddit.com/comments/571dw3.json
  response:
    body:
      string: !!binary |
[encoded data, 47855 characters]
        cGHnpMS1yM0Cx1YtNBHE8Tg+7jDn//4f5M10RTFGBAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['32123']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:40:44 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1737-ORD]
      X-Timer: ['S1505364043.319348,VS0,VE1288']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=OgCr5NXmDfYf8Zy3Kc.0.1505364043335.Z0FBQUFBQlp1Z2hNUk10ZWFoQ3F0cktUY2tSNXZJZWU1SkJ1OVBJV3ZodVdDOHhDUzctalZabHBPMmJQajdjMXV1SzJVaXBCYUQxWFJjSFQ2cG94M0dqcTh5S2xJcmtoVkZqRUFWVldMeXRwU2xZTy1HTTlsOTFYUkdrMFE5dFVKTGE3QnkzUzRFelY;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:40:44
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=zEKJtfDAU0ww%2FPbZXjpoOmpmnkuf39SvU3wkGBgut4G6l%2F%2FDY0pTdOlY39YfWRpSdIjWMxMNryqixEU1GRpYknmk%2F0R4rsFK']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
